<template>
  <v-switch
    v-model="switched"
    v-bind="$attrs"
    :true-value="1"
    :false-value="0"
    v-on="$listeners"
    @change="$emit('input', $event)"
  >
    <template v-slot:label>
      <slot />
    </template>
  </v-switch>
</template>

<script>
  export default {
    name: 'SwitchWithLabelField',
    props: {
      value: {
        type: Number,
        required: true,
      },
    },
    data () {
      return {
        switched: this.value,
      }
    },
    watch: {
      value (newValue) {
        this.switched = newValue
      },
    },
  }
</script>
